[dpdk] nailgun should validate that huge and kvm are enabled when dpdk requested

Bug #1559224 reported by Vladimir Eremin on 2016-03-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Nikita Zubkov
Newton
High
Nikita Zubkov

Bug Description

1. Create VLAN cluster
2. Mark interface enp0s5 as DPDK and put Private net on it
3. Make NO changes in Node attributes for this node
4. Leave QEMU as Hypervisor type
5. Deploy cluster

Expected result: nailgun should not allow this configuration, because hugepages and kvm is required to use feature.
Actual result: deploy fails on l23network, because openvswitch-dpdk is failed to start due to absence of hugepages.

Changed in fuel:
assignee: nobody → Fedor Zhadaev (fzhadaev)
tags: added: area-python
summary: - [dpdk] nailgun should validate that huge is enabled when dpdk requested
+ [dpdk] nailgun should validate that huge and kvm are enabled when dpdk
+ requested
Dmitry Klenov (dklenov) on 2016-03-21
Changed in fuel:
status: New → Confirmed
Nikita Zubkov (zubchick) on 2016-03-21
Changed in fuel:
assignee: Fedor Zhadaev (fzhadaev) → Nikita Zubkov (zubchick)
Changed in fuel:
status: Confirmed → In Progress
Dmitry Pyzhov (dpyzhov) on 2016-03-25
tags: added: team-network

Reviewed: https://review.openstack.org/295840
Committed: https://git.openstack.org/cgit/openstack/fuel-web/commit/?id=433eb9fdc6397ec23322dbf2566e0d4f4da7cb32
Submitter: Jenkins
Branch: master

commit 433eb9fdc6397ec23322dbf2566e0d4f4da7cb32
Author: Nikita Zubkov <email address hidden>
Date: Tue Mar 22 16:48:09 2016 +0300

    Add API validator for DPDK

    NetAssignmentValidator checks that DPDK enabled only for supported
    interfaces, hugepages are configured and hypervisor type is kvm

    Change-Id: I50a22cd837e0765f9b21da1973f2407660f62cd2
    Partial-Bug: #1559224
    Related to blueprint support-dpdk

Reviewed: https://review.openstack.org/298750
Committed: https://git.openstack.org/cgit/openstack/fuel-web/commit/?id=63eeba6da0aeb42b6cc6632b1df9c1f856296247
Submitter: Jenkins
Branch: master

commit 63eeba6da0aeb42b6cc6632b1df9c1f856296247
Author: Nikita Zubkov <email address hidden>
Date: Tue Mar 29 16:05:42 2016 +0300

    Add new DPDK validation to CheckBeforeDeploymentTask

    That checks that if DPDK enabled:
     * only network with neutron/private role assigned to DPDK enabled interface
     * hugepages are configured
     * hypervisor is kvm

    Partial-Bug: #1559224
    Related to blueprint support-dpdk
    Change-Id: I68797a30431f4c618b59471033b1c0b5bbacba95

Reviewed: https://review.openstack.org/304018
Committed: https://git.openstack.org/cgit/openstack/fuel-web/commit/?id=22c423844744793de5169025ab9168cbdf4862d3
Submitter: Jenkins
Branch: stable/mitaka

commit 22c423844744793de5169025ab9168cbdf4862d3
Author: Nikita Zubkov <email address hidden>
Date: Tue Mar 29 16:05:42 2016 +0300

    Add new DPDK validation to CheckBeforeDeploymentTask

    That checks that if DPDK enabled:
     * only network with neutron/private role assigned to DPDK enabled interface
     * hugepages are configured
     * hypervisor is kvm

    Partial-Bug: #1559224
    Related to blueprint support-dpdk
    Change-Id: I68797a30431f4c618b59471033b1c0b5bbacba95
    (cherry picked from commit 63eeba6da0aeb42b6cc6632b1df9c1f856296247)

tags: added: in-stable-mitaka
ElenaRossokhina (esolomina) wrote :

Verified on 9.0 iso#250: configuration from initial scenario is forbidden

ElenaRossokhina (esolomina) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers